#ifndef HTTPGETUSERINFO_H
#define HTTPGETUSERINFO_H
#include <QThread>
#include <QNetworkAccessManager>
#include <QtQml/qqml.h>

class HttpGetUserInfo: public QThread
{
    Q_OBJECT

    QML_NAMED_ELEMENT(HttpGetUserInfo)
public:
    explicit HttpGetUserInfo(QObject *parent=nullptr);
    ~HttpGetUserInfo();
protected:
    void run() override;
    void cleanUserInfoModel();
private:
    void httpRequestGetUserInfo(void);
public slots:
    void slotHttpResponseGetUserInfo(QByteArray data);
signals:
    void signalGetRequestData(quint64 id, QString postUrl, QByteArray data, QString token);
    void signalUserInfoReturnStat(int stat, const QString& msg);
};
#endif // HTTPGETUSERINFO_H
